%global eclipse_dropin   %{_datadir}/eclipse/dropins

Name:      eclipse-collabnet-merge
Version:   4.0.0
Release:   2%{?dist}
Summary:   CollabNet Merge Client for Subclipse
Group:     Development/Tools
License:   EPL
URL:       http://desktop-eclipse.open.collab.net/servlets/ProjectProcess?pageID=MEuUjb&freeformpage=Merge%20Client

# source tarball and the script used to generate it from upstream's source control
# script usage:
# $ sh get-collabnet-merge.sh
Source0:   collabnet-merge-%{version}.tar.gz
Source1:   get-collabnet-merge.sh

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: eclipse-pde >= 4.2.0-0.6
BuildRequires: eclipse-subclipse >= 1.10.0
Requires:      java
Requires:      jpackage-utils
Requires:      eclipse-platform >= 4.2.0-0.6
Requires:      eclipse-subclipse >= 1.10.0

%description
The CollabNet Merge Client has been built on top of Eclipse and Subclipse.
This combination allowed us to support multiple client operating systems and
also allowed us to focus on the actual merge client and merge process while
leveraging the excellent Subversion capabilities that already exist in
Subclipse. This gives you a powerful client that allows you to perform all
Subversion operations from a single tool. Commit, History, Blame, Switch,
Tagging. Everything you need is available. You do not have to be an Eclipse
shop or even an Eclipse developer to use the client. Eclipse and Subclipse
make it easy to checkout and access any project in your repository. You can
just use the client as a general Subversion UI, or even just to perform merges.
Adopting the client does not require that you adopt Eclipse as your only
development tool.

%prep
%setup -q -n collabnet-merge-%{version}

# make sure upstream hasn't sneaked in any jars we don't know about
JARS=""
for j in `find -name "*.jar"`; do
  if [ ! -L $j ]; then
    JARS="$JARS $j"
  fi
done
if [ ! -z "$JARS" ]; then
   echo "These jars should be deleted and symlinked to system jars: $JARS"
   exit 1
fi

%build
# build collabnet-merge features
eclipse-pdebuild -f com.collabnet.subversion.merge.feature \
  -d "subclipse subclipse-clientadapter"

%install
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/collabnet-merge build/rpmBuild/com.collabnet.subversion.merge.feature.zip

%files
%{eclipse_dropin}/collabnet-merge
%doc com.collabnet.subversion.merge.feature/license.html

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Krzysztof Daniel <kdaniel@redhat.com> 4.0.0-1
- Update to latest upstream.

* Wed Jun 19 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-1
- Update to latest upstream.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 05 2012 Mat Booth <fedora@matbooth.co.uk> 3.0.9-1
- Update to version 3.0.9.
- Fix FTBFS.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 02 2010 Mat Booth <fedora@matbooth.co.uk> 2.2.1-1
- Update to version 2.2.1.

* Thu Feb 11 2010 Mat Booth <fedora@matbooth.co.uk> 2.0.0-1
- Update to version 2.0.0 for Subclipse 1.6.6.

* Wed Feb 03 2010 Mat Booth <fedora@matbooth.co.uk> 1.10.0-1
- Initial revision of CollabNet Merge Client package
